org.apache.mina.example.chat.client

## Class SwingChatClientHandler

- java.lang.Object
- - org.apache.mina.core.service.IoHandlerAdapter
  - - org.apache.mina.example.chat.client.SwingChatClientHandler

- All Implemented Interfaces:
    IoHandler

      public class SwingChatClientHandler
      extends IoHandlerAdapter

  `IoHandler` implementation of the client side of the simple chat protocol.
  Author:
    Apache MINA Project

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `SwingChatClientHandler.Callback`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SwingChatClientHandler(SwingChatClientHandler.Callback callback)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `messageReceived(IoSession session, Object message)` Invoked when a message is received.
    `void` | `sessionClosed(IoSession session)` Invoked when a connection is closed.
    `void` | `sessionOpened(IoSession session)` Invoked when a connection has been opened.

    - ### Methods inherited from class org.apache.mina.core.service.IoHandlerAdapter

      `exceptionCaught, messageSent, sessionCreated, sessionIdle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SwingChatClientHandler

          public SwingChatClientHandler(SwingChatClientHandler.Callback callback)

  - ### Method Detail

    - #### sessionOpened

          public void sessionOpened(IoSession session)
                             throws Exception

      Description copied from interface: `IoHandler`
      Invoked when a connection has been opened. This method is invoked after `IoHandler.sessionCreated(IoSession)`. The biggest difference from `IoHandler.sessionCreated(IoSession)` is that it's invoked from other thread than an I/O processor thread once thread model is configured properly.
      Specified by:
        `sessionOpened` in interface `IoHandler`
      Overrides:
        `sessionOpened` in class `IoHandlerAdapter`
      Throws:
        `Exception`

    - #### messageReceived

          public void messageReceived(IoSession session,
                             Object message)
                               throws Exception

      Description copied from interface: `IoHandler`
      Invoked when a message is received.
      Specified by:
        `messageReceived` in interface `IoHandler`
      Overrides:
        `messageReceived` in class `IoHandlerAdapter`
      Throws:
        `Exception`

    - #### sessionClosed

          public void sessionClosed(IoSession session)
                             throws Exception

      Description copied from interface: `IoHandler`
      Invoked when a connection is closed.
      Specified by:
        `sessionClosed` in interface `IoHandler`
      Overrides:
        `sessionClosed` in class `IoHandlerAdapter`
      Throws:
        `Exception`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.